package jmini3d;

public class Material {
	public Color4 color;
	public Texture texture;
	public CubeMapTexture envMapTexture;
	public float reflectivity = 0f;
	public Blending blending = Blending.NoBlending;

	public Material() {
		color = new Color4(0, 0, 0, 0);
	}

	public Material(Texture texture) {
		this.texture = texture;
		color = new Color4(0, 0, 0, 0);
	}

	public Material(Texture texture, CubeMapTexture envMapTexture, float reflectivity) {
		this.texture = texture;
		this.envMapTexture = envMapTexture;
		this.reflectivity = reflectivity;
		color = new Color4(0, 0, 0, 0);
	}

	public void setBlending(Blending blending) {
		this.blending = blending;
	}
}
